Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::InstancedGeometry::QueuedGeometry Struct Reference

Structure recording a queued geometry for low level builds. More...

`#include <OgreInstancedGeometry.h>`

List of all members.

## Public Attributes
SubMeshLodGeometryLink * | geometry
Vector3 | position
Quaternion | orientation
Vector3 | scale
unsigned int | ID

## Detailed Description

Structure recording a queued geometry for low level builds.

Definition at line 149 of file OgreInstancedGeometry.h.

## Member Data Documentation

SubMeshLodGeometryLink* Ogre::InstancedGeometry::QueuedGeometry::geometry

| Definition at line 151 of file OgreInstancedGeometry.h.

unsigned int Ogre::InstancedGeometry::QueuedGeometry::ID

| Definition at line 155 of file OgreInstancedGeometry.h.

Quaternion Ogre::InstancedGeometry::QueuedGeometry::orientation

| Definition at line 153 of file OgreInstancedGeometry.h.

Vector3 Ogre::InstancedGeometry::QueuedGeometry::position

| Definition at line 152 of file OgreInstancedGeometry.h.

Vector3 Ogre::InstancedGeometry::QueuedGeometry::scale

| Definition at line 154 of file OgreInstancedGeometry.h.

The documentation for this struct was generated from the following file:

- OgreInstancedGeometry.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:29 2007